Skip to main content
GET
/
tenants
/
{tenantId}
/
webhooks
/
{webhookId}
/
deliveries
/
{deliveryId}
Get webhook delivery details
curl --request GET \
  --url https://api.arkhq.io/v1/tenants/{tenantId}/webhooks/{webhookId}/deliveries/{deliveryId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "whr_abc123def456",
    "webhookId": "456",
    "webhookName": "My App Webhook",
    "event": "MessageSent",
    "url": "https://myapp.com/webhooks/email",
    "statusCode": 200,
    "success": true,
    "attempt": 1,
    "willRetry": false,
    "timestamp": "2024-01-15T10:30:00Z",
    "request": {
      "payload": {
        "message": {
          "id": 12345,
          "token": "abc123",
          "direction": "outgoing",
          "message_id": "d00368d9-8ce9-40d2-96fc-0f0c10a43d00@rp.arkhq.io",
          "to": "user@example.com",
          "from": "hello@yourdomain.com",
          "subject": "Welcome!",
          "timestamp": 1705312190.123456,
          "spam_status": "NotChecked",
          "tag": null,
          "metadata": null
        },
        "status": "Sent",
        "details": "Message for user@example.com accepted by 1.2.3.4:25 (mx.example.com)",
        "output": "250 2.0.0 OK",
        "sent_with_ssl": true,
        "timestamp": 1705312200.123456,
        "time": 2.11
      },
      "headers": {
        "Content-Type": "application/json",
        "X-Ark-Signature": "base64-encoded-signature",
        "X-Ark-Signature-KID": "key-id"
      }
    },
    "response": {
      "statusCode": 200,
      "body": "{\"received\": true}"
    }
  },
  "meta": {
    "requestId": "req_V1StGXR8_Z5jdHi6"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

tenantId
string
required

The tenant ID

webhookId
string
required

Webhook ID

deliveryId
string
required

Delivery ID (UUID)

Response

Webhook delivery details

Detailed information about a webhook delivery attempt

success
boolean
required
data
object
required

Full details of a webhook delivery including request and response

meta
object
required